#!/usr/bin/env python
# bin/cs_config_build.py.  Generated from cs_config_build.py.in by configure.
#============================================================================
#
#     This file is part of the Code_Saturne Kernel, element of the
#     Code_Saturne CFD tool.
#
#     Copyright (C) 2009 EDF S.A., France
#
#     contact: saturne-support@edf.fr
#
#     The Code_Saturne Kernel is free software; you can redistribute it
#     and/or modify it under the terms of the GNU General Public License
#     as published by the Free Software Foundation; either version 2 of
#     the License, or (at your option) any later version.
#
#     The Code_Saturne Kernel is distributed in the hope that it will be
#     of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU General Public License for more details.
#
#     You should have received a copy of the GNU General Public License
#     along with the Code_Saturne Kernel; if not, write to the
#     Free Software Foundation, Inc.,
#     51 Franklin St, Fifth Floor,
#     Boston, MA  02110-1301  USA
#
#============================================================================

#-------------------------------------------------------------------------------

# Configuration:
# --------------

# use debugging code:                              false
# use graphical user interface:                    yes
# MPI (Message Passing Interface) support:         yes
# BLAS (Basic Linear Algebra Subprograms) support: yes
# Libxml2 (XML Reader) support:                    yes
# IP socket support (for SYRTHES 3 or CFD_Proxy):  yes
# Dynamic loader support (for YACS):               no


# C compiler used for build: FreeBSD clang version 3.4.1 (tags/RELEASE_34/dot1-final 208032) 20140512
# --------------------------
# FreeBSD clang version 3.4.1 (tags/RELEASE_34/dot1-final 208032) 20140512
# Target: x86_64-unknown-freebsd10.3
# Thread model: posix
# Selected GCC installation: 

# Fortran compiler used for build: GNU Fortran (FreeBSD Ports Collection) 4.8.5
# --------------------------------
# Using built-in specs.
# COLLECT_GCC=gfortran48
# COLLECT_LTO_WRAPPER=/usr/local/libexec/gcc48/gcc/x86_64-portbld-freebsd10.3/4.8.5/lto-wrapper
# Target: x86_64-portbld-freebsd10.3
# Configured with: /wrkdirs/usr/ports/lang/gcc/work/gcc-4.8.5/configure --disable-bootstrap --disable-nls --enable-gnu-indirect-function --libdir=/usr/local/lib/gcc48 --libexecdir=/usr/local/libexec/gcc48 --program-suffix=48 --with-as=/usr/local/bin/as --with-gmp=/usr/local --with-gxx-include-dir=/usr/local/lib/gcc48/include/c++/ --with-ld=/usr/local/bin/ld --with-pkgversion='FreeBSD Ports Collection' --with-system-zlib --with-ecj-jar=/usr/local/share/java/ecj-4.5.jar --enable-languages=c,c++,objc,fortran,java --prefix=/usr/local --localstatedir=/var --mandir=/usr/local/man --infodir=/usr/local/info/gcc48 --build=x86_64-portbld-freebsd10.3
# Thread model: posix
# gcc version 4.8.5 (FreeBSD Ports Collection) 

#-------------------------------------------------------------------------------

# Build tools, option, and libraries
#-----------------------------------

class build:
    cc="cc"
    fc="gfortran48"
    cppflags=" -I/usr/local/include -I/usr/local/include/libxml2 -DLIBICONV_PLUG -DNDEBUG       -I/usr/include/libxml2 "
    cflags="-ansi -funsigned-char -pedantic -W -Wall -Wshadow -Wpointer-arith -Wcast-qual -Wcast-align -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -Wunused -O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing  -O2"
    fcflags="-x f95-cpp-input -Wall -Wno-unused -Wl,-rpath=/usr/local/lib/gcc48 -D_CS_FC_HAVE_FLUSH  -O"
    ldflags=" -L/usr/local/lib -L/usr/local/lib -L/usr/local/lib -L/usr/local/lib/gcc48         -Wl,-rpath=/usr/local/lib/gcc48  -L/usr/local/lib/gcc48 -B/usr/local/bin -L/usr/local/lib -fstack-protector -O"
    libs="-lfvm -lcgns -lmedC -lhdf5 -lm -lfvm_coupl -lmei -lbft -lz -lmpich -lmpl -lpthread -lxml2 -lblas -llapack  -L/usr/local/lib/gcc48 -L/usr/local/lib -L/usr/local/bin -L/usr/local/lib/gcc48/gcc/x86_64-portbld-freebsd10.3/4.8.5 -L/usr/local/lib/gcc48/gcc/x86_64-portbld-freebsd10.3/4.8.5/../../../../../x86_64-portbld-freebsd10.3/lib -L/usr/local/lib/gcc48/gcc/x86_64-portbld-freebsd10.3/4.8.5/../../.. -lgfortran -lm -lssp_nonshared -lquadmath  "
    rpath=""

class build_syrthes:
    cc=""
    fc=""
    cppflags=""
    cflags=""
    fcflags=""
    ldflags=""
    libs=" "

#-------------------------------------------------------------------------------

def get_config():
    """
    Get the configuration information.
    """
    msg = """\
Compilers and associated options:
  cc = %(cc)s
  fc = %(fc)s
  cppflags = %(cppflags)s
  cflags = %(cflags)s
  fcflags = %(fcflags)s
  ldflags = %(ldflags)s
  libs = %(libs)s
  rpath = %(rpath)s\
"""

    return msg \
        % { 'cc':build.cc, 'fc':build.fc,
            'cppflags':build.cppflags, 'cflags':build.cflags,
            'fcflags':build.fcflags, 'ldflags':build.ldflags,
            'libs':build.libs, 'rpath':build.rpath }

#-------------------------------------------------------------------------------

def get_config_syrthes():
    """
    Get the configuration information.
    """
    msg = """\
Compilers and associated options for SYRTHES build:
  cc = %(cc)s
  fc = %(fc)s
  cppflags = %(cppflags)s
  cflags = %(cflags)s
  fcflags = %(fcflags)s
  ldflags = %(ldflags)s
  libs = %(libs)s\
"""

    return msg \
        % { 'cc':build_syrthes.cc, 'fc':build_syrthes.fc,
            'cppflags':build_syrthes.cppflags, 'cflags':build_syrthes.cflags,
            'fcflags':build_syrthes.fcflags, 'ldflags':build_syrthes.ldflags,
            'libs':build_syrthes.libs }

#-------------------------------------------------------------------------------

def main(argv):
    """
    Main configuration info function.
    """
    import sys
    sys.stdout.write("%(b)s\n\n%(s)s\n" %
                     {'b':get_config(),
                      's':get_config_syrthes()})

if __name__ == '__main__':
    import sys
    main(sys.argv[1:])
